//
//  MenuViewController.m
//  iOS_QtsHttp_SDK_Sample
//
//  Created by Lawrence on 2013/11/28.
//  Copyright (c) 2013年 Lawrence. All rights reserved.
//

#import "MenuViewController.h"
#import "DownloadViewController.h"
#import "UploadViewController.h"

@interface MenuViewController ()
{
    UIAlertView* altProgress;
}

@end

@implementation MenuViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        server = [(AppDelegate*)[[UIApplication sharedApplication] delegate] getServer];
        altProgress = [[UIAlertView alloc] initWithTitle:@"Download Progress" message:@"" delegate:self cancelButtonTitle:@"STOP" otherButtonTitles:nil, nil];
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 3;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
    }
    
    if ( indexPath.row == 0 ) {
        cell.textLabel.text = @"Download";
    }
    else if ( indexPath.row == 1 ) {
        cell.textLabel.text = @"Upload";
    }
    else if ( indexPath.row  == 2 ) {
        cell.textLabel.text = @"Move";
    }
    
    [cell setBackgroundColor:[UIColor blackColor]];
    [cell.textLabel setTextColor:[UIColor whiteColor]];
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    if ( indexPath.row == 0 ) {
        DownloadViewController* view = [[DownloadViewController alloc] initWithNibName:@"DownloadViewController" bundle:nil];
        view.currentLocationPath = @"share_root";
        [self.navigationController pushViewController:view animated:YES];
    }
    else if ( indexPath.row == 1 ) {
        UploadViewController* view = [[UploadViewController alloc] initWithNibName:@"UploadViewController" bundle:nil];
        view.currentLocationPath = @"share_root";
        [self.navigationController pushViewController:view animated:YES];
    }
    else if ( indexPath.row == 2 ) {
        [self move];
    }
}

- (void)move
{
    [[server openFileStation] moveFileWithPath:@"/Public/test/sample01.jpg" toPath:@"/Public" mode:0 communicationMode:YES cancel:&isAbort success:^(QTS_RESPONSE_CTX *response) {
        if ( response.result == QTS_HTTP_APIS_SUCCESS ) {
            NSLog(@"MOVE FILE DONE.");
        }
    } fail:^(QTS_HTTP_API_RESULTS error) {
        NSLog(@"MOVE FILE FAIL.(ErrorCode=%d)",error);
    } progress:^(int rateOfMove) {
    }];
}

@end
