//
//  ViewController.m
//  iOS_QtsHttp_Sample
//
//  Created by Lawrence on 2013/11/28.
//  Copyright (c) 2013年 Lawrence. All rights reserved.
//

#import "ViewController.h"
#import "MenuViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    [sslSwitch setOn:(NO)];
     
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(IBAction)access:(id)sender
{
    NSLog(@"SSL ON/OFF %d", sslSwitch.on);
    if ( [btnAccess.titleLabel.text isEqualToString:@"LOGIN"] ) {
        __block QNQtsHttpServerInfo* info = [[QNQtsHttpServerInfo alloc] initWithHostName:tfIPAddress.text username:tfUserName.text password:tfPassword.text isSecureConnection:[sslSwitch isOn] computerName:@""];
        __block QNQtsHttpServer* qtsServer = [[QNQtsHttpServer alloc] initWithServerInfo:info];
        //[qtsServer setFileStationPortNum:[tfPort.text longLongValue]];
        isAbort = 0;
        if ([sslSwitch isOn])
            [qtsServer setFileStationSSLPortNum:[tfPort.text longLongValue]];
        else
            [qtsServer setFileStationPortNum:[tfPort.text longLongValue]];
        NSLog(@"Start login");
        [qtsServer login:QTS_HTTP_STATION_TYPE_FILE_STATION communicationMode:YES cancel:&isAbort
                 success:^(QTS_RESPONSE_CTX *response) {
                     if ( response.result == QTS_HTTP_APIS_SUCCESS ) {
                         btnAccess.titleLabel.text = @"LOGOUT";
                         btnAccess.titleLabel.textColor = [UIColor blackColor];
                         NSLog(@"LOGIN SUCCESS");
                         
                         [(AppDelegate*)[[UIApplication sharedApplication] delegate] setServer:qtsServer];
                         [(AppDelegate*)[[UIApplication sharedApplication] delegate] setServerInfo:info];
                         
                         MenuViewController* view = [[MenuViewController alloc] initWithNibName:@"MenuViewController" bundle:nil];
                         [self.navigationController pushViewController:view animated:YES];
                     }
                 } fail:^(QTS_HTTP_API_RESULTS error) {
                     if (error == QTS_HTTP_APIS_SUCCESS_ABORT)
                         NSLog(@"CANCEL LOGIN");
                     else
                         NSLog(@"USER LOGIN FAIL. ( %d )", error);
                 }];
    }
    else if ( [btnAccess.titleLabel.text isEqualToString:@"LOGOUT"] ) {
        QNQtsHttpServer* server = [(AppDelegate*)[UIApplication sharedApplication] getServer];
        
        isAbort = 0;
        [server closeFileStation:[server openFileStation] communicationMode:YES cancel:&isAbort success:^(QTS_RESPONSE_CTX *response) {
            if ( response.result == QTS_HTTP_APIS_SUCCESS ) {
                btnAccess.titleLabel.text = @"LOGIN";
                btnAccess.titleLabel.textColor = [UIColor blackColor];
                [(AppDelegate*)[[UIApplication sharedApplication] delegate]  setServer:nil];
                [(AppDelegate*)[[UIApplication sharedApplication] delegate]  setServerInfo:nil];
                NSLog(@"LOGOUT SUCCESS");
            }
        } fail:^(QTS_HTTP_API_RESULTS error) {
            NSLog(@"USER LOGOUT FAIL.");
        }];
    }
    
}

-(IBAction)cancel:(id)sender
{
    isAbort = 1;
}

-(IBAction)backgroundTap:(id)sender{
    [tfIPAddress resignFirstResponder];
    [tfPort resignFirstResponder];
    [tfUserName resignFirstResponder];
    [tfPassword resignFirstResponder];
}


@end
