//
//  QtsUdp.h
//  QTSHTTPSDK
//
//  Created by QNAP on 2013/11/22.
//  Copyright (c) 2013年 QNAP Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

/*!
 * \brief
 * Remote QNAP Turbo NAS info
 *
 */
@interface QNRemoteNas : NSObject

/** NAS configure or not */
@property (assign) BOOL         isConfigured;
/** NAS admin web port */
@property (assign) int          adminWebPort;
/** NAS web server port */
@property (assign) int          webServerPort;
/** NAS SSL web server port */
@property (assign) int          secureWebServerPort;
/** NAS SSL admin web port */
@property (assign) int          secureAdminWebPort;
/** NAS active MAC */
@property (strong) NSString*    activeMACValue;
/** NAS group */
@property (strong) NSString*	group;
/** NAS MAC address */
@property (strong) NSString*	MACAddress;
/** NAS IP address */
@property (strong) NSString*	IPAddress;
/** NAS external IP address */
@property (strong) NSString*	externalAddress;
/** NAS DDNS */
@property (strong) NSString*	DDNS;
/** NAS my cloud nas name */
@property (strong) NSString*	myCloudNas;
/**NAS display model name */
@property (strong) NSString*	displayModelName;
/** NAS server name */
@property (strong) NSString*	serverName;
/** NAS FW version */
@property (strong) NSString*	version;

@end

/*!
 * \brief
 * QTS UDP service class.
 *
 * 1. Support UDP broadcast.
 * 2. Developers can start/stop search QNAP Turbo NAS.
 */
@interface QNQtsUdp : NSObject

/*!
 * \brief
 * Start search QNAP turbo NAS.
 *
 * \param
 * [BLOCK] success : block to receive remote NAS info.
 *
 * \returns
 * n/a.
 */
-(void)startSearchNasWithSuccess:(void(^)(QNRemoteNas* nasInfo))success;

/*!
 * \brief
 * Stop search QNAP turbo NAS.
 *
 * \returns
 * n/a.
 */
-(void)stopSearchNas;

@end
